FROM openshift/golang-builder@sha256:ab1bfcb9d06b339cb767acb804e6aa82eb23cd0795e6f82af54e92c312a32777 AS builder
ENV __doozer=update BUILD_RELEASE=202202151117.p0.g938196e.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202202151117.p0.g938196e.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=938196e OS_GIT_VERSION=4.6.0-202202151117.p0.g938196e.assembly.stream-938196e SOURCE_DATE_EPOCH=1617136637 SOURCE_GIT_COMMIT=938196ece243bfffb6f0f3d634f86ae740e29118 SOURCE_GIT_TAG=v0.0.2-654-g938196ec SOURCE_GIT_URL=https://github.com/openshift/cluster-authentication-operator 
WORKDIR /go/src/github.com/openshift/cluster-authentication-operator
COPY . .
ENV GO_PACKAGE github.com/openshift/cluster-authentication-operator
RUN go build -ldflags "-X $GO_PACKAGE/pkg/version.versionFromGit=$(git describe --long --tags --abbrev=7 --match 'v[0-9]*')" -tags="ocp" -o authentication-operator ./cmd/authentication-operator

FROM openshift/ose-base:v4.6.0.20220215.113753
ENV __doozer=update BUILD_RELEASE=202202151117.p0.g938196e.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202202151117.p0.g938196e.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=938196e OS_GIT_VERSION=4.6.0-202202151117.p0.g938196e.assembly.stream-938196e SOURCE_DATE_EPOCH=1617136637 SOURCE_GIT_COMMIT=938196ece243bfffb6f0f3d634f86ae740e29118 SOURCE_GIT_TAG=v0.0.2-654-g938196ec SOURCE_GIT_URL=https://github.com/openshift/cluster-authentication-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-authentication-operator/authentication-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_50_cluster-authentication-operator_01_config.crd.yaml /manifests/01_config.crd.yaml
ENTRYPOINT ["/usr/bin/authentication-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-authentication-operator" \
        com.redhat.component="ose-cluster-authentication-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202202151117.p0.g938196e.assembly.stream" \
        io.openshift.build.commit.id="938196ece243bfffb6f0f3d634f86ae740e29118" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-authentication-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-authentication-operator/commit/938196ece243bfffb6f0f3d634f86ae740e29118" \
        version="v4.6.0"

